StreamOps.h File Reference
`#include "types.h"`
`#include <string>`
`#include <sstream>`
`#include <iostream>`
`#include <boost/cstdint.hpp>`
`#include <boost/detail/endian.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Enumerations

enum | RDKit::EEndian { RDKit::LITTLE_ENDIAN_ORDER, RDKit::BIG_ENDIAN_ORDER }

## Functions

template<class T , unsigned int size>
T | RDKit::SwapBytes (T value)
template<EEndian from, EEndian to, class T >
T | RDKit::EndianSwapBytes (T value)
template<EEndian from, EEndian to>
char | RDKit::EndianSwapBytes (char value)
template<EEndian from, EEndian to>
unsigned char | RDKit::EndianSwapBytes (unsigned char value)
template<EEndian from, EEndian to>
signed char | RDKit::EndianSwapBytes (signed char value)
void | RDKit::appendPackedIntToStream (std::stringstream &ss, boost::uint32_t num)
| Packs an integer and outputs it to a stream. More...
boost::uint32_t | RDKit::readPackedIntFromStream (std::stringstream &ss)
| Reads an integer from a stream in packed format and returns the result. More...
boost::uint32_t | RDKit::pullPackedIntFromString (const char *&text)
template<typename T >
void | RDKit::streamWrite (std::ostream &ss, const T &val)
| does a binary write of an object to a stream More...
template<typename T >
void | RDKit::streamRead (std::istream &ss, T &loc)
| does a binary read of an object from a stream More...
std::string | RDKit::getLine (std::istream *inStream)
| grabs the next line from an instream and returns it. More...
std::string | RDKit::getLine (std::istream &inStream)
| grabs the next line from an instream and returns it. More...